# eric5.Helpviewer.Sync.SyncCheckPage

Module implementing the synchronization status wizard page.

### Global Attributes

None

### Classes

SyncCheckPage | Class implementing the synchronization status wizard page.

### Functions

None

## SyncCheckPage

Class implementing the synchronization status wizard page.

### Derived from

QWizardPage, Ui_SyncCheckPage

### Class Attributes

None

### Class Methods

None

### Methods

SyncCheckPage | Constructor
__makeAnimatedLabel | Private slot to create an animated label.
__syncError | Private slot to handle general synchronization issues.
__updateLabels | Private slot to handle a finished synchronization event.
__updateMessages | Private slot to update the synchronization status info.
initializePage | Public method to initialize the page.

### Static Methods

None

#### SyncCheckPage (Constructor)

SyncCheckPage(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### SyncCheckPage.__makeAnimatedLabel

__makeAnimatedLabel(fileName, label)

Private slot to create an animated label.

fileName
  name of the file containing the animation (string)
label
  reference to the label to be animated (QLabel)

#### SyncCheckPage.__syncError

__syncError(message)

Private slot to handle general synchronization issues.

message
  error message (string)

#### SyncCheckPage.__updateLabels

__updateLabels(type_, status, download)

Private slot to handle a finished synchronization event.

type_
  type of the synchronization event (string one of "bookmarks", "history", "passwords", "useragents" or "speeddial")
status
  flag indicating success (boolean)
download
  flag indicating a download of a file (boolean)

#### SyncCheckPage.__updateMessages

__updateMessages(type_, msg)

Private slot to update the synchronization status info.

type_
  type of synchronization data (string)
msg
  synchronization message (string)

#### SyncCheckPage.initializePage

initializePage()

Public method to initialize the page.

Up